ruby-magic_0.2.9-1_all.deb


Advertisement

Description

ruby-magic - Ruby FFI bindings to libmagic

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-magic
Package version 0.2.9
Package release 1
Package architecture all
Package type deb
Installed size 31 B
Download size 6.22 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-magic_0.2.9-1_all.deb 0.2.9 all Debian Main
ruby-magic - - -

Requires

Name Value
libmagic1 -
ruby -
ruby-ffi >= 0.6.3
ruby-interpreter -

Download

Type URL
Binary Package ruby-magic_0.2.9-1_all.deb
Source Package ruby-magic

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-magic deb package:
    # sudo apt-get install ruby-magic

Files

Path
/usr/lib/ruby/vendor_ruby/magic.rb
/usr/lib/ruby/vendor_ruby/magic/api.rb
/usr/lib/ruby/vendor_ruby/magic/constants.rb
/usr/lib/ruby/vendor_ruby/magic/database.rb
/usr/lib/ruby/vendor_ruby/magic/errors.rb
/usr/lib/ruby/vendor_ruby/magic/version.rb
/usr/share/doc/ruby-magic/README.rdoc
/usr/share/doc/ruby-magic/changelog.Debian.gz
/usr/share/doc/ruby-magic/copyright
/usr/share/rubygems-integration/all/specifications/magic-0.2.9.gemspec

Changelog

2015-08-17 - Thiago Ribeiro <thiagitosouza@gmail.com>
ruby-magic (0.2.9-1) unstable; urgency=medium
[ Thiago Ribeiro ]
* Team upload
* New upstream release
[ Antonio Terceiro ]
* Update packaging with a new dh-make-ruby run
- drop documentation from the binary package
2014-05-26 - Antonio Terceiro <terceiro@debian.org>
ruby-magic (0.2.8-1) unstable; urgency=medium
* New upstream release
* drop patch already applied upstream:
- 0001-Fix-Magic.guess_string_mime_encoding.patch
* drop patch fix-against-new-libmagic.diff; this patch tried to workaround a
regression that seems to have been fixed in libmagic1 (Closes: #747738)
* add myself to Uploaders:
2014-04-18 - Antonio Terceiro <terceiro@debian.org>
ruby-magic (0.2.6-3) unstable; urgency=medium
* Team upload.
* Fix code and test assumptions to work with newer libmagic versions
Patch: debian/patches/fix-against-new-libmagic.diff
(Closes: #741815)
2013-08-13 - Antonio Terceiro <terceiro@debian.org>
ruby-magic (0.2.6-2) unstable; urgency=low
* Team upload.
[ C├ędric Boutillier ]
* debian/control: remove obsolete DM-Upload-Allowed flag
* debian/copyright: use DEP5 copyright-format/1.0 official URL for Format
field
[ Antonio Terceiro ]
* Fix Mime.guess_string_mime_encoding
* Updated Standards-Versions to 3.9.4. No changes required.
2011-09-17 - Dmitry Borodaenko <angdraug@debian.org>
ruby-magic (0.2.6-1) unstable; urgency=low
* Initial release (Closes: #629136)
* Unit test patched not to use rubygems and to require test_declarative.

See Also

Package Description
ruby-mail-gpg_0.4.0-1_all.deb GPG/MIME encryption plugin for the Ruby Mail Library
ruby-mail-room_0.9.1-2_all.deb Forward mail from gmail IMAP to a callback URL or job worker, simply
ruby-mail_2.6.4+dfsg1-1_all.deb Ruby library to handle email generation, parsing and sending
ruby-mapscript_7.2.1-1+b1_amd64.deb MapServer library for Ruby
ruby-marcel_0.3.2-1_all.deb Simple mime type detection
ruby-marisa_0.2.5-2+b1_amd64.deb Ruby bindings for MARISA
ruby-markerb_1.1.0-2_all.deb multipart templates made easy with Markdown + ERb
ruby-maruku_0.7.3-1_all.deb Markdown-superset interpreter written in Ruby
ruby-mathml_0.14-4_all.deb TeX formula to MathML conversion library for Ruby
ruby-maven-libs_3.3.9+ds-1_all.deb Ruby library that provides access to a Maven installation
ruby-mecab_0.99.6-3+b2_amd64.deb mecab binding for Ruby language
ruby-mechanize_2.7.5-2_all.deb library used for automating interaction with websites
ruby-memfs_1.0.0-1_all.deb MemFs provides an in-memory fake file system that can be used for tests
ruby-memoist_0.16.0-2_all.deb Ruby library providing method memoization
ruby-memoizable_0.4.2-1_all.deb memoize method return values
Advertisement
Advertisement